Latest post Fri, Mar 25 2011 9:23 PM by darkknightdetec. 7 replies.
Page 1 of 1 (8 items)
Sort Posts: Previous Next
  • Wed, Mar 23 2011 3:55 PM

    "Segmentation fault" error when upgrading from 5.0.1 to 5.0.3.8

    Hi, I'm trying to upgrade my Media Composer from 5.0.1 to 5.0.3.8 (holding out on the 5.5.1 upgrade for right now because I need the no-longer-included ScriptSync functionality for a project I'm working on).  Anyway, I completely uninstalled 5.0.1 and installed 5.0.3.8, but on launch I get an error when "Initializing Audio":

    "Segmentation fault" in thread "Main Thread", at address 0x0

     

    Then the system crashes.  I've tried multiple times to uninstall and re-install this, but it does it every time.  So I finally decided to uninstall 5.0.3.8 and reinstall 5.0.1.  Guess what?  Boots up no problem.  

     

    I've been gazing around these forums and this seems to be a relatively common error for version upgrades, but I haven't been able to find any help on the subject or a reason why it is happening.  Anyone else have any ideas?

  • Wed, Mar 23 2011 10:36 PM In reply to

    • chomper129
    • Top 500 Contributor
    • Joined on Thu, Oct 13 2005
    • Los Angeles
    • Posts 281
    • Points 3,635

    Re: "Segmentation fault" error when upgrading from 5.0.1 to 5.0.3.8

    I'm getting the exact same thing.  I am going from 5.0.3.5 to .8.  If I revert back to .5, no issues.

     

    anyone?

     

     

    MC 8.8 and 10.11.6 on a 8 core Mac Pro trash can with Blackmagic studio express, ISIS 5000 at work and MC 8.8 on a Quad i7 27" iMac at home [view my complete system specs]
  • Thu, Mar 24 2011 12:51 AM In reply to

    Re: "Segmentation fault" error when upgrading from 5.0.1 to 5.0.3.8

    I've heard it might have something to do with a codec or something, which is why you need to do a clean install, but I've literally wiped out EVERYTHING that has the Avid name on my computer and re-installed and it still did that.  Maybe it's just that version number has some sort of glitch that makes it unable to run on certain machines?  I was thinking of trying 5.0.3.7 to see if that would work, but I'm not sure if I wanna try it now that I've got the older version running again haha.

     

     

    Anyone have any idea about this?!

  • Fri, Mar 25 2011 1:40 AM In reply to

    Re: "Segmentation fault" error when upgrading from 5.0.1 to 5.0.3.8

    chomper129:

    I'm getting the exact same thing.  I am going from 5.0.3.5 to .8.  If I revert back to .5, no issues.

     

    anyone?

     

     


    Y'know, I just thought of something today: I'm editing with my media on an external hard drive, and I noticed that the hard drive itself still has some Avid codec folders and such on it from when I uploaded the media.  I wonder if deleting these will fix the issue?  Maybe I'll try it sometime, but it might be worth the shot.

  • Fri, Mar 25 2011 3:52 PM In reply to

    • chomper129
    • Top 500 Contributor
    • Joined on Thu, Oct 13 2005
    • Los Angeles
    • Posts 281
    • Points 3,635

    Re: "Segmentation fault" error when upgrading from 5.0.1 to 5.0.3.8

    Let me know what you find.  I have no external drives hooked up to my laptop (and no media on the internal) and it still hangs every time on initializing audio.  This is driving me crazy.  I really want to utilize the patches, and I'm concerned that when I upgrade to 5.5.1, the same thing will happen.

     

     

    MC 8.8 and 10.11.6 on a 8 core Mac Pro trash can with Blackmagic studio express, ISIS 5000 at work and MC 8.8 on a Quad i7 27" iMac at home [view my complete system specs]
  • Fri, Mar 25 2011 5:29 PM In reply to

    • dbfphoto
    • Not Ranked
    • Joined on Wed, Nov 11 2009
    • Posts 83
    • Points 980

    Re: "Segmentation fault" error when upgrading from 5.0.1 to 5.0.3.8

    I had exactly the same problem before, and others have too. Resolution was removing the Soundflower audio plugins from the system. Search the forum for Soundflower, you'll find it. Seems like something was done in one of the 5.0.3.x patches that generated a conflict with Soundflower. I mentioned that to an Avid Tech Support phone rep and he said they'd investigate.

    Retina MacBook Pro 15", 2.6 GHz Core i7, OS 10.9.1, 16 GB RAM, NVIDIA GeForce GT 750M, Avid Media Composer 7.0.3 [view my complete system specs]
  • Fri, Mar 25 2011 5:52 PM In reply to

    • chomper129
    • Top 500 Contributor
    • Joined on Thu, Oct 13 2005
    • Los Angeles
    • Posts 281
    • Points 3,635

    Re: "Segmentation fault" error when upgrading from 5.0.1 to 5.0.3.8

    Thank you soooo much!!!!  That did it for me.  Happily booting up in 5.0.3.8.  These forums truly are the best!

     

     

    MC 8.8 and 10.11.6 on a 8 core Mac Pro trash can with Blackmagic studio express, ISIS 5000 at work and MC 8.8 on a Quad i7 27" iMac at home [view my complete system specs]
  • Fri, Mar 25 2011 9:23 PM In reply to

    Re: "Segmentation fault" error when upgrading from 5.0.1 to 5.0.3.8

    dbfphoto:

    I had exactly the same problem before, and others have too. Resolution was removing the Soundflower audio plugins from the system. Search the forum for Soundflower, you'll find it. Seems like something was done in one of the 5.0.3.x patches that generated a conflict with Soundflower. I mentioned that to an Avid Tech Support phone rep and he said they'd investigate.

    Oh you've got to be kidding!  That's the problem?!  A program that has nothing at all to do with Avid?  Hopefully they get this fixed because I love the Soundflower program!

     

    Do I have to do a full uninstall of Soundflower or is there an option I can just disable or something?

     

    Oh and thank you for the advice!

Page 1 of 1 (8 items)

© Copyright 2011 Avid Technology, Inc.  Terms of Use |  Privacy Policy |  Site Map |  Find a Reseller